## org.eclipse.amp.agf3d
Class CompositeRenderShape

    java.lang.Object
      org.eclipse.draw3d.shapes.PositionableShape
          org.eclipse.draw3d.shapes.CuboidShape
              org.eclipse.amp.agf3d.RenderShape
                  org.eclipse.amp.agf3d.CompositeRenderShape

All Implemented Interfaces:
  org.eclipse.draw3d.picking.Pickable, org.eclipse.draw3d.RenderFragment, org.eclipse.draw3d.shapes.Shape

    public class CompositeRenderShape

extends RenderShape

Adapated from org.eclipse.draw3d.shapes.CubiodShape

Author:
  mparker, Kristian Duske

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.draw3d.RenderFragment
`org.eclipse.draw3d.RenderFragment.RenderType`

Field Summary

Fields inherited from class org.eclipse.amp.agf3d.RenderShape
`SCALE`

Constructor Summary
`CompositeRenderShape(org.eclipse.draw3d.IFigure3D figure, java.lang.Object object, org.eclipse.jface.viewers.IColorProvider colorProvider)`

Method Summary
`void` `addShape(org.eclipse.draw3d.shapes.PositionableShape shape)`
`protected void` `doRender(org.eclipse.draw3d.RenderContext context)`
`java.util.List<org.eclipse.draw3d.shapes.PositionableShape>` `getShapes()`

Methods inherited from class org.eclipse.amp.agf3d.RenderShape
`getModel, glSetColor, glSetColor, setColor, setColor, toString`

Methods inherited from class org.eclipse.draw3d.shapes.CuboidShape
`doGetDistance, getRenderType, setAlpha, setFill, setFillColor, setOutline, setOutlineColor, setTextureId`

Methods inherited from class org.eclipse.draw3d.shapes.PositionableShape
`getDistance, getDistanceMeasure, getParaxialBoundingBox, getPosition3D, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompositeRenderShape

    public CompositeRenderShape(org.eclipse.draw3d.IFigure3D figure,
                                java.lang.Object object,
                                org.eclipse.jface.viewers.IColorProvider colorProvider)

Parameters:
  `figure` -
  `renderer` -
  `object` -

Method Detail

### addShape

    public void addShape(org.eclipse.draw3d.shapes.PositionableShape shape)

### doRender

    protected void doRender(org.eclipse.draw3d.RenderContext context)

  Overrides:
    `doRender` in class `RenderShape`
  Parameters:
    `iRenderContext` -
  See Also:
    `RenderShape.doRender(org.eclipse.draw3d.RenderContext)`

### getShapes

    public java.util.List<org.eclipse.draw3d.shapes.PositionableShape> getShapes()

  Returns:
    the shapes